ODFPY 1.2.0 |

All Classes Namespaces Files Functions Variables
Variables
odf.elementtypes Namespace Reference

## Variables
tuple | inline_elements
tuple | block_elements
tuple | declarative_elements
tuple | empty_elements

## Variable Documentation

tuple odf.elementtypes.block_elements

Initial value:
1 = (
2 (TEXTNS,u'h'),
3 (TEXTNS,u'p'),
4 (TEXTNS,u'list'),
5 (TEXTNS,u'list-item'),
6 (TEXTNS,u'section'),
7 )

Definition at line 114 of file elementtypes.py.

tuple odf.elementtypes.declarative_elements

Initial value:
1 = (
2 (OFFICENS,u'font-face-decls'),
3 (PRESENTATIONNS,u'date-time-decl'),
4 (PRESENTATIONNS,u'footer-decl'),
5 (PRESENTATIONNS,u'header-decl'),
6 (TABLENS,u'table-template'),
7 (TEXTNS,u'alphabetical-index-entry-template'),
8 (TEXTNS,u'alphabetical-index-source'),
9 (TEXTNS,u'bibliography-entry-template'),
10 (TEXTNS,u'bibliography-source'),
11 (TEXTNS,u'dde-connection-decls'),
12 (TEXTNS,u'illustration-index-entry-template'),
13 (TEXTNS,u'illustration-index-source'),
14 (TEXTNS,u'index-source-styles'),
15 (TEXTNS,u'index-title-template'),
16 (TEXTNS,u'note-continuation-notice-backward'),
17 (TEXTNS,u'note-continuation-notice-forward'),
18 (TEXTNS,u'notes-configuration'),
19 (TEXTNS,u'object-index-entry-template'),
20 (TEXTNS,u'object-index-source'),
21 (TEXTNS,u'sequence-decls'),
22 (TEXTNS,u'table-index-entry-template'),
23 (TEXTNS,u'table-index-source'),
24 (TEXTNS,u'table-of-content-entry-template'),
25 (TEXTNS,u'table-of-content-source'),
26 (TEXTNS,u'user-field-decls'),
27 (TEXTNS,u'user-index-entry-template'),
28 (TEXTNS,u'user-index-source'),
29 (TEXTNS,u'variable-decls'),
30 )

Definition at line 122 of file elementtypes.py.

tuple odf.elementtypes.empty_elements

Definition at line 153 of file elementtypes.py.

tuple odf.elementtypes.inline_elements

Definition at line 26 of file elementtypes.py.